Main Page Widgets Namespaces Book

# Gdk::Device Class Reference

Inheritance diagram for Gdk::Device:

[legend]
List of all members.

## Public Member Functions

virtual | ~Device ()
GdkDevice* | gobj ()
| Provides access to the underlying C GObject.
const GdkDevice* | gobj () const
| Provides access to the underlying C GObject.
GdkDevice* | gobj_copy ()
void | set_source (GdkInputSource source)
bool | set_mode (InputMode mode)
void | set_key (guint index_, guint keyval, ModifierType modifiers)
void | set_axis_use (guint index_, AxisUse use)
void | get_state (const Glib::RefPtr<Window>& window, double& axes, ModifierType& mask)
bool | get_history (const Glib::RefPtr<Window>& window, guint32 start, guint32 stop, GdkTimeCoord**& events, int& n_events)
| Obtains the motion history for a device; given a starting and ending timestamp, return all events in the motion history for the device in the given range of time.
bool | get_axis (double& axes, AxisUse use, double& value) const
| Interprets an array of double as axis values for a given device, and locates the value in the array for a given axis use.

## Protected Member Functions

| Device ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gdk::Device> | wrap (GdkDevice* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gdk::Device::~Device | ( |  | ) | `[virtual]`

Gdk::Device::Device | ( |  | ) | `[protected]`

## Member Function Documentation

bool Gdk::Device::get_axis | ( | double& | axes,
|  | AxisUse | use,
|  | double& | value
| ) | const

Interprets an array of double as axis values for a given device, and locates the value in the array for a given axis use.

Parameters:

  axes | Pointer to an array of axes.
  use | The use to look for.
  value | Location to store the found value.

Returns:
  `true` if the given axis use was found, otherwise `false`.

bool Gdk::Device::get_history | ( | const Glib::RefPtr<Window>& | window,
|  | guint32 | start,
|  | guint32 | stop,
|  | GdkTimeCoord **& | events,
|  | int& | n_events
| ) |

Obtains the motion history for a device; given a starting and ending timestamp, return all events in the motion history for the device in the given range of time.

Some windowing systems do not support motion history, in which case, `false` will be returned. (This is not distinguishable from the case where motion history is supported and no events were found.)

Parameters:

  window | The window with respect to which which the event coordinates will be reported.
  start | Starting timestamp for range of events to return.
  stop | Ending timestamp for the range of events to return.
  events | Location to store a newly-allocated array of Gdk::TimeCoord, or `0`.
  n_events | Location to store the length of events , or `0`.

Returns:
  `true` if the windowing system supports motion history and at least one event was found.

void Gdk::Device::get_state | ( | const Glib::RefPtr<Window>& | window,
|  | double& | axes,
|  | ModifierType& | mask
| ) |

const GdkDevice* Gdk::Device::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkDevice* Gdk::Device::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkDevice* Gdk::Device::gobj_copy | ( |  | ) |

void Gdk::Device::set_axis_use | ( | guint | index_,
|  | AxisUse | use
| ) |

void Gdk::Device::set_key | ( | guint | index_,
|  | guint | keyval,
|  | ModifierType | modifiers
| ) |

bool Gdk::Device::set_mode | ( | InputMode | mode | ) |

void Gdk::Device::set_source | ( | GdkInputSource | source | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gdk::Device> wrap | ( | GdkDevice* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- device.h